/* ======================================================================= */
/* =  CDSCF : Outil en ligne de commande permettant  une classification  = */
/* =          lineaire des fichiers provenant des A.P.N. par renommage   = */
/* =---------------------------------------------------------------------= */
/* = Version :     23 VI 2004     Borland Turbo C++  (cmd UNIQUEMENT)    = */
/* = Mise a jour : 21 IX 2004                                            = */
/* = Modif BBA   : 12 IX 2004                                            = */
/* =   Cf initialisation de la structure dans main ** BBA **             = */
/* =    -----> compile avec bcc32 ( 32 bits )                            = */
/* = Modif BBA   : 08 IX 2004                                            = */
/* =   Reecriture de la procedure de parcours de l'arborescence des      = */
/* =   repertoires + traitement des fichiers                             = */
/* = Modif BBA   : 09 IX 2004                                            = */
/* =   Mise en modules , creation d'un MAKEFILE                          = */
/* = Modif BBA   : 10 IX 2004                                            = */
/* =   Reecriture du systeme de lecture des arguments                    = */
/* ======================================================================= */
/* A faire :                                                               */
/*  le cas tout fichier n'est pas trait                                   */
/* ======================================================================= */
/* Fait    :                                                               */
/*  Separation du sources en plusieurs modules        08 IX 2004           */
/*  Reecriture du systeme de lecture des arguments    10 IX 2004           */
/* ======================================================================= */
/* Ajout   :                                                               */
/*  Ajout d'un switch d'inhibition du parcours recursif de l'arborescence  */
/*  source                                                                 */
/* ======================================================================= */
/* Bug(s)  :                                                               */
/* ======================================================================= */
#include <stdio.h>
#include "cdscf.h"
/* ============================================== */
/* = ###   ###     ###      ###  ###  ###       = */
/* =  # ### #       ##       #    ##   #        = */
/* =  #  #  #      #  #      #    # #  #        = */
/* =  #     #     ######     #    #  # #        = */
/* =  #     #    #      #    #    #   ##        = */
/* = ###   ###  ###    ###  ###  ###  ###  	= */
/* ============================================== */
int main(int argc, char *argv[])
{
	extern int cumul;

	DSCF data_file;		// (BBA : modifs ) variable de type structure decrite par DSCF
	DSCF *pdta;				// (BBA : modifs ) pointeur sur variable de type struct
	pdta = &data_file;	// pdata pointe sur adresse 1er octet de data_file

	init_dta(pdta);		// init de la structure de donnees

	if(litarg(argc,argv,pdta)==0){
		val_dta(pdta);
		/* affiche un petit message */
		printf("* Recherche %sde l\'occurence %s de type %s %s %s\n",
				pdta->NO_RECRS?"":"recursive ",pdta->F_SRC,pdta->F_EXT,pdta->NO_RECRS?"dans":"a partir de",pdta->D_SRC);
		printf("  Copie vers l\'occurence %s de type %s dans %s\n\n",
				 pdta->F_DES,pdta->F_EXT,pdta->D_DES);
		scan_dir2(pdta);
		printf("%d fichier%s traite%s. ;)\n",cumul,cumul>1?"s":"",cumul>1?"s":"");
	}
	else
	{
		aff_hlp();
		return -1;
	}

	return EXIT_SUCCESS;
}
