#include "cdscf.h"

int litarg(int nlst,char *lst[],DSCF *pdta)
{
	int i=1;
	if(nlst==1) return -1;
	while(i<nlst)
	{
		if(lst[i][0]==SWITCH && strlen(lst[i])==2)			/* les arguments doivent commencer par */
		{								/* SWITCH et ne comprendre que 2 carac */

			switch(lst[i][1])
			{
				case FILE_SRC:					/* Switch prenant un argument */
					if(i+1>=nlst) return -1;
					if(lst[i+1][0]=='-') return -1;
					strcpy(pdta->F_SRC, lst[i+1]);		/* init pattern source */
					i+=2;
					break;
			       	case FILE_DES:					/* init pattern destination */
					if(i+1>=nlst) return -1;
					if(lst[i+1][0]=='-') return -1;
					strcpy(pdta->F_DES, lst[i+1]);
					i+=2;
					break;
			       	case DIR_SRC:					/* repertoire source */
					if(i+1>=nlst) return -1;
					if(lst[i+1][0]=='-') return -1;
					strcpy( pdta->D_SRC, lst[i+1]);
					i+=2;
					break;
			       	case DIR_DES:					/* repertoire destination */
					if(i+1>=nlst) return -1;
					if(lst[i+1][0]=='-') return -1;
					strcpy( pdta->D_DES, lst[i+1]);
					i+=2;
					break;
			       	case FILE_EXT:
					if(i+1>=nlst) return -1;
					if(lst[i+1][0]=='-') return -1;
					strcpy( pdta->F_EXT, lst[i+1]);		/*  Extension fichier	*/
					i+=2;
					break;
			       	case N_IDX:
					if(i+1>=nlst) return -1;
					if(lst[i+1][0]=='-') return -1;
					pdta->cmpt = (atoi(lst[i+1]));		/* init indice de depart */
					pdta->cmpt = pdta->cmpt-1;
					i+=2;
					break;
				case ALL_IMG:					/* Switch ne prenant pas d'argument */
					strcpy( pdta->F_SRC, "*");		/* pour fichier source */
					/* strcpy( pdta->F_DES, "*"); */	/* pour fichier destination */
					strcpy( pdta->F_EXT, "*");		/* pour extension fichier */
					i++;
					break;
				case FILL_0:					/* Switch ne prenant pas d'argument */
					pdta->F_Z = 1;				/* top completion nom de fichier par 0 */
					i++;
					break;
				case N_RCRS:					/* Switch ne prenant pas d'argument */
					pdta->NO_RECRS = 1;			/* top completion nom de fichier par 0 */
					i++;
					break;
				default:					/* le switch n'est pas reconnu */	
					printf("%s pas un argument\n",lst[i]);	
					return -1;
			}
		}else{
			printf("%s pas un argument\n",lst[i]);
			return -1;
		}
	}

	return EXIT_SUCCESS;
}

