#include "cdscf.h"

/* ============================================== */
/* = Fonction    : copie les fichiers           = */
/* = Entree      : nom                          = */
/* = Sortie      : err level                    = */
/* = Modification: 21 IX 2004							= */
/* ============================================== */
int copy_dscf(DSCF *pdta)			//* BBA : modifs
{

	int err_level, err_level_out, file;
	char buff[BUFSIZ];

 	err_level = open(pdta->INAME, O_BINARY|O_RDONLY);
 	if( err_level == -1 )
		return(err_level);
 	err_level_out = open( pdta->ONAME, O_WRONLY|O_CREAT|O_TRUNC|O_BINARY, S_IREAD|S_IWRITE);
	if( err_level_out == -1 )
			return(err_level_out);

	printf("> Copie de %s vers %s\n",pdta->INAME,pdta->ONAME);
 
	while(( file = read(err_level, buff, 256) ) > 0 )
 	{
  		write( err_level_out, buff, file );
 	};
 	close(err_level);
 	close(err_level_out); 
 
	strcpy(pdta->ONAME,"");
 	strcpy(pdta->INAME,"");
	
 	return(0);
 
}

