#include "cdscf.h"

/* ============================================== */
/* = Fonction    : liste les fichiers           = */
/* = Entree      : nom                          = */
/* = Sortie      : nbr fichiers traites         = */
/* = Modification: 21 IX 2004							= */
/* ============================================== */
int liste_file(DSCF *pdta)
{
	int res,nb_file=0;
 	struct ffblk info;		/* definis dans dos.h ou dir.h idem */
	char dot[MAXEXT],ddot[MAXEXT];
	char repert[MAXPATH], destination[MAXPATH+MAXFILE], glob[MAXPATH+MAXFILE];
	char radical[MAXPATH+MAXFILE],extension[MAXEXT];
	char num[10];
	extern int cumul;
	int all_ext,all_file;
	
	all_ext=!strcmp(pdta->F_EXT,"*");
	all_file=!strcmp(pdta->F_SRC,"*")&&all_ext;

	// pour liste des fichiers 
	// genere l'extension
	strcpy(dot, "."); 
	strcat(dot, pdta->F_EXT);

	// genere le glob 	
	if( pdta->D_SRC[strlen(pdta->D_SRC)-1] != '\\') strcat(pdta->D_SRC,"\\");
	strcpy(repert,pdta->D_SRC);
	strcpy(glob, pdta->D_SRC);
	strcat(glob,pdta->F_SRC);
	if(!all_file) strcat(glob,"*");
	strcat(glob,dot);

	// genere le radical du nom du fichier destination
	if( pdta->D_DES[strlen(pdta->D_DES)-1] != '\\') strcat(pdta->D_DES,"\\");
	strcpy(radical, pdta->D_DES);
	strcat(radical,pdta->F_DES);

	printf("> recherche dans %s <\n",glob);
	res = findfirst(glob, &info, FA_NORMAL);
	while(res==0)
	{
		nb_file++;
		/* printf(" * fichier no %-5d : %s",cumul+nb_file,info.ff_name); */
		// ici nous allons entreprendre la copie des fichiers
		// generation du fichier destination
		// completion
		if(pdta->F_Z==0)
			sprintf(num,"%d",pdta->cmpt+cumul+nb_file);
		else
			sprintf(num,"%04d",pdta->cmpt+cumul+nb_file);

		strcpy(ddot,"");
		if(all_file||all_ext)
		{
			fnsplit(info.ff_name,NULL,NULL,NULL,extension);
			strcat(ddot,extension);
			/* printf("%s\n",info.ff_name); */
		}else{
			strcat(ddot,dot);
		};

		strcpy(destination,radical);
		strcat(destination,num);
		strcat(destination,ddot);

		strcpy(pdta->INAME,repert);
		strcat(pdta->INAME,info.ff_name);
		strcpy(pdta->ONAME,destination);
		copy_dscf(pdta);
	 	res=findnext( &info );
	};
//	findclose( &info );
	return nb_file;
} 


