#include "cdscf.h"

void scan_dir2(DSCF *pdta)			//* BBA : modifs
{

	int res;
	struct ffblk info;		/* definis dans dos.h ou dir.h idem */
	char nom[MAXPATH], repert[MAXPATH];
	int nb_file;
	extern int cumul;
	DSCF tempdta;

	// repertoire courant
	strcpy(repert, pdta->D_SRC);
	if( repert[strlen(repert)-1] != '\\') strcat(repert,"\\"); 

	// pour parcours des repertoires
	strcpy(nom, repert);
	strcat(nom, "*.*");
	

	nb_file=liste_file(pdta);		// on liste les fichiers "normaux" pour action 
						// et seulement ceux qui nous interessent

	printf("> %d fichier%s <\n\n",nb_file,nb_file>1?"s":"");

	// Alimente le compteur de fichier
	cumul+=nb_file;
 
	// Parcours de l'arborescence en profondeur
	res = findfirst(nom, &info, FA_DIREC);

	while(res==0)					
	{
		if(pdta->NO_RECRS!=1 && info.ff_attrib==FA_DIREC 
			&& (strcmp(info.ff_name,".")!=0 && strcmp(info.ff_name,"..")!=0))
		{
			// Generation de la structure d'appel
			copy_dta(&tempdta,pdta);
			strcpy(tempdta.D_SRC,repert);	
			strcat(tempdta.D_SRC,info.ff_name);
			// Appel recursif quelque part
			scan_dir2(&tempdta);
	 	}

		res = findnext( &info );
	}

//	findclose(&info); 
	// y a plus de repertoire 
}

