#include "cdscf.h"
/* ============================================== */
/* = Fonction    : Verifie les donnees          = */
/* = Entree      : /                            = */
/* = Sortie      : code erreur                  = */
/* ============================================== */
void val_dta(DSCF *pdta)			// BBA : modifs
{
	int ptr = 0, fn, fe, fd;
	char *res[] = { "DSCF", ".\\", "JPG"};

	// traitement de l'extension du fichier
	if( ptr == strcmp(pdta->F_EXT,"") )
		strcpy(pdta->F_EXT,res[2]);

	// traitement du directory source
	if( ptr == strcmp(pdta->D_SRC,"") )
	{
		strcpy(pdta->D_SRC,res[1]);
	}else{
		if( pdta->D_SRC[strlen(pdta->D_SRC)-1] != '\\') strcat(pdta->D_SRC,"\\");
	};
	
	// traitement du pattern source
	if( ptr == strcmp(pdta->F_SRC,"") )
  		strcpy(pdta->F_SRC,res[0]);

	// traitement du directory destination 
	if( ptr == strcmp(pdta->D_DES,"") )
	{
  		strcpy(pdta->D_DES,res[1]);
	}else{
		if( pdta->D_DES[strlen(pdta->D_DES)-1] != '\\') strcat(pdta->D_DES,"\\");
	};

	// traitement du pattern destination
	if( ptr == strcmp(pdta->F_DES,"") )
 		strcpy(pdta->F_DES,res[0]);

	fn = strcmp(pdta->F_SRC, "*");
	fe = strcmp(pdta->F_EXT, "*");
	fd = strcmp(pdta->D_DES, ".\\");

	/* Message d'erreur */
	if( fn==0 && fe==0 && fd==0 )
	{
		puts("\n\tParametre incorrect !\n");
		exit(-1);
	}
	
}

